import { compareDesc, format, parseISO } from 'date-fns'
import { fromZonedTime, toZonedTime } from 'date-fns-tz'

import { getCollection, getEntry } from 'astro:content';

import type { APIRoute } from 'astro';

const posts = await getCollection('posts')

const newestPost = posts.sort((a, b) => compareDesc(new Date(a.data.date), new Date(b.data.date)))[0];

console.log(newestPost.slug)

export const GET: APIRoute = ({ redirect }) => {
  return redirect('http://localhost:4321/posts/' + newestPost.slug, 307);
}